GivTCP feed stopped

For soem reason over the weekend the Giv TCP feed has stopped.
When I first noticed it I looked on the default Overview and most if not all the entities were duplicated with feed to one and no feed to the second instance of the same thing.
I have since removed and reinput GivTCP and changed the complete hardware HA runs on yet i still get exactly the same error.
On start the program stops with this log extract:

023-05-16 05:42:51,614 - read - [CRITICAL] - First time running so saving AC Charge status
Traceback (most recent call last):
  File "/app/GivTCP_1/read.py", line 597, in getData
    previousUpdate = pickle.load(inp)
EOFError: Ran out of input
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/app/GivTCP_1/read.py", line 1066, in <module>
    globals()[sys.argv[1]]()
  File "/app/GivTCP_1/read.py", line 692, in self_run2
    runAll("True")
  File "/app/GivTCP_1/read.py", line 654, in runAll
    result=getData(full_refresh)
  File "/app/GivTCP_1/read.py", line 619, in getData
    consecFails(e)
  File "/app/GivTCP_1/read.py", line 630, in consecFails
    oldDataCount= pickle.load(inp)
EOFError: Ran out of input

I have renewed the API.
The Inverter is accessible in the cloud using the normal Givenergy web interface/app so the comms are operational. It just seems I cannot retrieve anything locally.
Any ideas please anyone?